TreeStaticID = [0xc95, 0xc96, 0xc99, 0xc9b, 0xc9c, 0xc9D, 0xc8a, 0xca6, 0xca8, 
0xcaa, 0xcab, 0xcc3, 0xcc4, 0xcc8, 0xcc9, 0xcca, 0xccb, 0xccc, 0xccd, 0xcd3, 0xcd1, 0xcd0, 0xcd6, 0xcd8, 
0xcda, 0xcdd, 0xce0, 0xce3, 0xce6, 0xcf8, 0xcf8, 0xcfe, 0xd01, 0xd25, 0xd27, 0xd35, 0xd37, 0xd38, 
0xd42, 0xd43, 0xd59, 0xd70, 0xd85, 0xd94, 0xd96, 0xd98, 0xd9a, 0xd9c, 0xd9e, 0xda0, 0xda2, 0xda04, 
0xda8, 0x0DAC, 0x0DAD]
#
class Tree:
    def __init__(self, x, y, z, id):
        self.X = x
        self.Y = y
        self.Z = z
        self.ID = id
#
def ScanStatic(ScanRadius): 
    Misc.SendMessage("--> Initiating Tile Scan", 77)
    trees = []
    #
    for y in range(Player.Position.Y - ScanRadius, Player.Position.Y + ScanRadius+1):
        for x in range(Player.Position.X - ScanRadius, Player.Position.X + ScanRadius+1):
            tileinfo = Statics.GetStaticsTileInfo(x, y, Player.Map)
            Misc.SendMessage("X:{} Y:{} tilenum: {} map{}".format( 
                x, y, tileinfo.Count, Player.Map))
            if tileinfo.Count > 0:
                for tile in tileinfo:
                    if tile.StaticID in TreeStaticID:
                        Misc.SendMessage('--> Tree X: %i - Y: %i - Z: %i' % (x, y, tile.StaticZ), 66)
                        tree = Tree(x, y, tile.StaticZ, tile.StaticID)
                        trees.append(tree)
   
    Misc.SendMessage('--> Total Trees: {}'.format(len(trees)), 77) 
    for tree in trees:
        Misc.SendMessage("Found tree at X:{} Y:{} Z:{} ID{}".format(tree.X, tree.Y, tree.Z, tree.ID))
    return trees

trees = ScanStatic(1)
Misc.SendMessage(str(len(trees)))
for tree in trees:
    tileinfo = Statics.GetStaticsTileInfo(tree.X, tree.Y, Player.Map)
    for tile in tileinfo:
        Misc.SendMessage("X:{} Y:{} tilenum: 0x{:x} map{}".format( 
            tree.X, tree.Y, tile.StaticID, Player.Map))
                
                
#                
#Items.UseItem(0x4B749918)
#Target.WaitForTarget(10000, False)
#Target.TargetExecute(1794, 1179 ,-82 ,3299)
# Target.TargetExecute(1794, 1179 ,-82 , 0xce3)
#